Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.acknowledgement
Interface HL7v3AcknowledgementInfoInterface

All Known Implementing Classes:
  HL7v3AcknowledgementInfo

    public interface HL7v3AcknowledgementInfoInterface

Version:
  cvs revision: $Revision: 1.1 $ Last Modified: $Date: 2007/12/14 10:20:11 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getAcknowledgementType()` Returns the AcknowledgementType.
`boolean` | `isDeferredAcknowledgementType()` Method isDeferredAcknowledgementType.
`boolean` | `isImmediatAcknowledgementType()` Method isImmediateAcknowledgementType.
`boolean` | `isQueuedAcknowledgementType()` Method isQueuedAcknowledgementType.
`void` | `setAcknowledgementType(java.lang.String acknowledgementType)` Sets the acknowledgementType.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getAcknowledgementType

    java.lang.String getAcknowledgementType()

  Returns the AcknowledgementType.

  Returns:
    String

### setAcknowledgementType

    void setAcknowledgementType(java.lang.String acknowledgementType)
                                throws HL7ApplicationException

  Sets the acknowledgementType.

  Parameters:
    `acknowledgementType` - The acknowledgementType to set
  Throws:
    `HL7ApplicationException`

### isImmediatAcknowledgementType

    boolean isImmediatAcknowledgementType()
                                          throws HL7ApplicationException

  Method isImmediateAcknowledgementType.

  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isDeferredAcknowledgementType

    boolean isDeferredAcknowledgementType()
                                          throws HL7ApplicationException

  Method isDeferredAcknowledgementType.

  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isQueuedAcknowledgementType

    boolean isQueuedAcknowledgementType()
                                        throws HL7ApplicationException

  Method isQueuedAcknowledgementType.

  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD